﻿using System;
using System.Data;

using jp.co.systembase.json;
using jp.co.systembase.report;
using jp.co.systembase.report.data;
using jp.co.systembase.report.renderer.gdi;

// 基本サンプル1 見積書
namespace example
{
    class Example1
    {

        public static void Run()
        {

            Report report = new Report(Json.Read("report/example1.rrpt"));
            report.Fill(DummyDataSource.GetInstance());
            ReportPages pages = report.GetPages();

            // プレビュー
            {
                Printer printer = new Printer(pages);

                // DataMatrix要素を利用できるようにします。
                printer.Setting.ElementRendererMap.Add("datamatrix", new datamatrix.GdiDataMatrixRenderer());

                FmPrintPreview preview = new FmPrintPreview(printer);
                preview.StartUpZoomFit = true;
                preview.ShowDialog();
            }
        }

    }
}
